/* -*- Mode: C++ -*-
 * $Id: BasicCoachMessageStrategy.cc,v 1.2 2002/08/31 15:35:23 s02davro Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: BasicCoachMessageStrategy.cc
 * Unitname: BasicSystem
 * $Revision: 1.2 $
 * Created by: David Rosn 2002-07-01
 * Last modified by $Author: s02davro $ $Date: 2002/08/31 15:35:23 $
 *
 *
 * HISTORY
 *
 * $Log: BasicCoachMessageStrategy.cc,v $
 * Revision 1.2  2002/08/31 15:35:23  s02davro
 * Updated the strategies and the interface
 *
 * Revision 1.1  2002/08/02 22:00:51  s02davro
 * Created the Basic classes, needs improvements.
 *
 */

/**
 * @file BasicCoachMessageStrategy.cc
 * Implementation file for the class BasicCoachMessageStrategy.
 *
 * @par Unit:
 *      BasicSystem
 * $Revision: 1.2 $
 * $Author: s02davro $
 * $Date: 2002/08/31 15:35:23 $
 */

#include "BasicCoachMessageStrategy.h"
#include "WorldModelInterface.h"
#include "rs_error.h"

RS_BEGIN_NAMESPACE

BasicCoachMessageStrategy::BasicCoachMessageStrategy() {
}

BasicCoachMessageStrategy::~BasicCoachMessageStrategy() { 
}

void BasicCoachMessageStrategy::updateAfterCoachMessage() {
  RS_LOG ( LA_STRATEGY, "BasicCoachMessageStrategy - begin");
  RS_LOG ( LA_STRATEGY, "BasicCoachMessageStrategy - end");
}

RS_END_NAMESPACE

